Bug 258401 - net/rospo: update to 0.7.0
Summary: net/rospo: update to 0.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/ferama/rospo/relea...
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2021-09-10 11:38 UTC by Robert Clausecker
Modified: 2021-09-21 19:59 UTC (History)
1 user (show)

See Also:


Attachments
net/rospo: update to 0.7.0 (7.27 KB, patch)
2021-09-10 11:38 UTC, Robert Clausecker
fuz: maintainer-approval+
Details | Diff
net/rospo: update to 0.7.1 (2.36 KB, patch)
2021-09-15 14:05 UTC, Robert Clausecker
fuz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-09-10 11:38:20 UTC
Created attachment 227803 [details]
net/rospo: update to 0.7.0

Update net/rospo to 0.7.0.

Changes:

 - ui: now shows more cool stats
 - password auth support almost everywhere
   (the use of keys is still the preferred method)
 - new revshell subcommand (more user friendly than the old solution)
 - new shell subcommand. Let's you start a remote shell
 - global quiet option

https://github.com/ferama/rospo/releases/tag/v0.7.0

Reported by portscout.

Tested with Poudriere on armv7 arm64 i386 amd64 FreeBSD 13.0.

Do not MFH as this port now requires Go 1.17 to build.
Comment 1 commit-hook freebsd_committer 2021-09-11 05:24:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=99706e4efdc60367b8055b2618d6f0ecf6542d3b

commit 99706e4efdc60367b8055b2618d6f0ecf6542d3b
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-11 05:17:31 +0000
Commit:     Rainer Hurling <rhurlin@FreeBSD.org>
CommitDate: 2021-09-11 05:19:19 +0000

    net/rospo: Update to 0.7.0

    Changelog: https://github.com/ferama/rospo/releases/tag/v0.7.0

    PR:             258401

    MFH:            No (requires Go 1.17 to build)

 net/rospo/Makefile | 13 +++++++------
 net/rospo/distinfo | 32 +++++++++++++++++---------------
 2 files changed, 24 insertions(+), 21 deletions(-)
Comment 2 Rainer Hurling freebsd_committer 2021-09-11 05:26:50 UTC
Committed, thanks!

And thanks for the hint with Go v1.16.7 in the quarterly branch ;)
Comment 3 Robert Clausecker 2021-09-15 13:58:28 UTC
Unfortunately I have to reopen this as there has been a patch release in the meanwhile.  I'll upload another patch in a minute.
Comment 4 Robert Clausecker 2021-09-15 14:05:32 UTC
Created attachment 227919 [details]
net/rospo: update to 0.7.1

Update net/rospo to 0.7.1.

Upstream changes:

 - Fixed reverse shell missing flags regression

https://github.com/ferama/rospo/releases/tag/v0.7.1

While we are there, ship a sample configuration file when DOCS are enabled.

Tested with Poudriere on armv7 arm64 i386 amd64 FreeBSD 13.0-RELEASE.
Comment 5 commit-hook freebsd_committer 2021-09-21 19:41:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8dfb953d04a45eb0e121225d02f899cb93d47171

commit 8dfb953d04a45eb0e121225d02f899cb93d47171
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-21 19:36:58 +0000
Commit:     Rainer Hurling <rhurlin@FreeBSD.org>
CommitDate: 2021-09-21 19:36:58 +0000

    net/rospo: Update to 0.7.1

    Fixed reverse shell missing flags regression.

    PR:             258401 (reopened by maintainer)
    MFH:            No (not in 2021Q3)

 net/rospo/Makefile |  4 +++-
 net/rospo/distinfo | 10 +++++-----
 2 files changed, 8 insertions(+), 6 deletions(-)
Comment 6 Rainer Hurling freebsd_committer 2021-09-21 19:43:59 UTC
Hi Robert,

Thanks for the patch. But please, do open a _new_ PR next time for an update like this, even if it is a fix for a regression ;)

Committed, thanks!
Comment 7 Robert Clausecker 2021-09-21 19:59:23 UTC
(In reply to Rainer Hurling from comment #6)

Hi Rainer,

Will do so!